Name:        anonymous-pro-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/AnonymousPro.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 AnonymiceProNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFont-BoldItalic.ttf
install -Dm644 AnonymiceProNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFontMono-BoldItalic.ttf
install -Dm644 AnonymiceProNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFontPropo-BoldItalic.ttf
install -Dm644 AnonymiceProNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFont-Bold.ttf
install -Dm644 AnonymiceProNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFontMono-Bold.ttf
install -Dm644 AnonymiceProNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFontPropo-Bold.ttf
install -Dm644 AnonymiceProNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFont-Italic.ttf
install -Dm644 AnonymiceProNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFontMono-Italic.ttf
install -Dm644 AnonymiceProNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFontPropo-Italic.ttf
install -Dm644 AnonymiceProNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFont-Regular.ttf
install -Dm644 AnonymiceProNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFontMono-Regular.ttf
install -Dm644 AnonymiceProNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/AnonymiceProNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/AnonymiceProNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/AnonymiceProNerdFontPropo-Regular.ttf
%license "OFL.txt"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
